Package twisted :: Package web :: Module script :: Class PythonScript |
[frames | no frames]

## Class PythonScript

    Resource --+
               |
              PythonScript

I am an extremely simple dynamic resource; an embedded python script.

This will execute a file (usually of the extension '.epy') as Python code, internal to the webserver.

Method Summary
| ``__init__`(self, filename, registry)` Initialize me with a script name.
| ``render`(self, request)` Render me to a web client.
Inherited from Resource
| ``delEntity`(self, name)`
| ``getChild`(self, path, request)` Retrieve a 'child' resource from me.
| ``getChildForRequest`(self, request)`
| ``getChildWithDefault`(self, path, request)` Retrieve a static or dynamically generated child resource from me.
| ``getDynamicEntity`(self, name, request)`
| ``getStaticEntity`(self, name)`
| ``listDynamicEntities`(self, request)`
| ``listDynamicNames`(self)`
| ``listEntities`(self)`
| ``listNames`(self)`
| ``listStaticEntities`(self)`
| ``listStaticNames`(self)`
| ``putChild`(self, path, child)` Register a static child.
| ``reallyPutEntity`(self, name, entity)`

Class Variable Summary
`int` | `isLeaf` = 1
Inherited from Resource
`tuple` | `__implements__` = `(<class twisted.web.resource.IResource ...`
`NoneType` | `server` = None

Method Details

### __init__(self, filename, registry) (Constructor) Initialize me with a script name. Overrides: `twisted.web.resource.Resource.__init__`

### render(self, request) Render me to a web client. Load my file, execute it in a special namespace (with 'request' and '__file__' global vars) and finish the request. Output to the web-page will NOT be handled with print - standard output goes to the log - but with request.write. Overrides: `twisted.web.resource.Resource.render`

Class Variable Details

    ### isLeaf Type: `int` Value:
        1

Generated by Epydoc 2.0 on Sat Oct 25 00:54:57 2003 | http://epydoc.sf.net